<?php

declare(strict_types=1);

namespace DigiComp\PhpCodesniffer\DigiComp\Sniffs\Annotations;

use SlevomatCodingStandard\Sniffs\TestCase;

class ReturnIsNotVoidSniffTest extends TestCase
{
    public function testErrors(): void
    {
        $filename = __DIR__ . '/data/VoidReturner.php';
        self::assertTrue(\is_file($filename));
        $report = self::checkFile($filename);
        self::assertSame(1, $report->getErrorCount());
    }
}
